Bug 990452 - RFE: please add "mergetool" virtual provides
RFE: please add "mergetool" virtual provides
Status: NEW
Product: Fedora
Classification: Fedora
Component: xxdiff (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Russell Cattelan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 990444
  Show dependency treegraph
 
Reported: 2013-07-31 04:57 EDT by Karel Volný
Modified: 2015-11-05 10:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 990444
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2013-07-31 04:57:38 EDT
please add

Provides: mergetool

for xxdiff

+++ This bug was initially created as a clone of Bug #990444 +++

There are some utilities that may require a tool to resolve merge conflicts. I refer to bug #982627 for example.

However, Fedora does not provide any common name which would satisfy the dependency, so the package has to require some exact package that provides appropriate tool.

This is less than optimal, because 1) the user preference for the tool used may be completely different than what the dependency pulls in, 2) the author/packager of the utility must keep track about the tool availability and possible conflicts.

The solution would be to create virtual Provides for each package providing the tool, so that the utility that needs it would require this virtual and not concrete package.

Let me propose "mergetool" as a name of this virtual.

- it is selfexplaining and, in addition, users of git are used to it, as there is "git mergetool" command which calls one of the available tools

- it doesn't seem to conflict with anything existing; the two important occurences are as a part of "PDF Merge Tool" name, which is clearly distinguished by the "pdf" prefix, and "Mergetool.com" as a company which provides its own "Mergetool" software that is strongly unlikely to appear in Fedora, if it deals with Microsoft NAV
Comment 1 Fedora End Of Life 2015-01-09 14:11:32 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Karel Volný 2015-01-12 07:00:11 EST
still valid
Comment 3 Fedora End Of Life 2015-11-04 09:12:46 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Karel Volný 2015-11-05 10:35:35 EST
still valid

Note You need to log in before you can comment on or make changes to this bug.